package com.framsticks.test;

import com.framsticks.params.annotations.FramsClassAnnotation;
import com.framsticks.params.annotations.ParamAnnotation;
import com.framsticks.params.types.ProcedureParam;

@FramsClassAnnotation(order = {"name", "history", "appendHistory", "resetHistory"})
public class TestClass {

	protected String name = "test";
	protected String history = "";

	/**
	 * @return the name
	 */
	@ParamAnnotation
	public String getName() {
		return name;
	}

	/**
	 * @param name the name to set
	 */
	@ParamAnnotation
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @return the history
	 */
	@ParamAnnotation
	public String getHistory() {
		return history;
	}

	/**
	 * @param history the history to set
	 */
	@ParamAnnotation
	public void setHistory(String history) {
		this.history = history;
	}

	@ParamAnnotation(paramType = ProcedureParam.class)
	public int appendHistory(String line) {
		history = history + line + "|";
		return history.length();
	}

	@ParamAnnotation(paramType = ProcedureParam.class)
	public void resetHistory() {
		history = "";
	}

}
